@keyframes rotationDeplacement {
  /*état 0*/
    0% {
      transform: translateX(0px);
    }

/*état 1 à 50% du temps*/
    50% {
      transform: translateX(150px);
    }

/*état final*/
    100% {
      transform: translateX(150px) rotate(180deg);
    }
}

body{
  width: 70%;
  margin-left: 15%;
  background-color: #f41acc;
}

div{
  /* ma div a un contour de 10 pixels solid et rose de très bon goût */
}

img{
  width: 100%;
}

h1,
h2,
h3,
h4,
p{
  font-size: 25px;
}




.titre3{
  margin-left: 20px;
}

.liste2{
  opacity: 0.5;
}

#sansContact{
  transform: rotate(-45deg);
}

.petitChat{
  position: fixed;
  top: 0;
  left: 0;
  width: 100px;
}

h4{
  position: absolute;
  top: 0;
  right: 0;
}

div p{
  color: red;
  color: #049576;
  background-color: blue;
  text-align: right;
  letter-spacing: 10px;
  text-decoration: line-through;
  height: 1000px;
  margin: 100px;
  margin-top: 0;
  padding: 10%;
}

p span{
  background: yellow;
  display: block;
}

.active{
  border: 4px solid brown;
}

a:hover{
  color: brown;
}

#sansContact:hover{
  transform: rotate(90deg);
}

div.fromage{
  margin: auto;
  margin-top: 50px;
}

div.carre{
  width: 500px;
  height: 500px;
  /* background: linear-gradient(blue, rgb(234, 56, 125)); */
  background: linear-gradient(to right, pink, yellow, rgba(0, 0, 0, 0.5), blue, green);
  animation: rotationDeplacement 3s infinite alternate;
}

div.rond{
  width: 500px;
  height: 500px;
  border-radius: 250px;
}

div.rond1{
  background: linear-gradient(to bottom left, #095628, #059483);
}

div.rond2{
  height: 700px;
  width: 400px;
  background-image: linear-gradient(to bottom, white 50%, red 50%);
}

div.rond2:hover{
  width: 600px;
  transform: rotate(360deg);
  transition-property: width, transform;
  transition-duration: 3s;
  transition-delay: 0.5s;
  transition-timing-function: ease-out;
}

div.rond3{
  background: radial-gradient(ellipse at center, white, green);

}

div.rond3:hover{
  height: 50px;
  transition: height 2s;
}

div.rond4{
  background: repeating-linear-gradient(white, green 4px);
}

div.rond5{
  background: repeating-linear-gradient(to right, white, blue, white 100px);
}

div.rond6{
  background: repeating-radial-gradient(ellipse at center, yellow, green, red, blue 30px);
}

div.triangle{
	width:1px;
	height:1px;
  border-style: solid;
  border-width: 100px;
  border-color: transparent transparent yellow transparent;
}
div.parallelogramme{
	width:300px;
	height:100px;
	background-color: black;
	transform: skew(30deg);
}

div.parallelogramme:hover{
  background-color: green;
  transition-property: background-color;
  transition-duration: 1s;
}

div.trapeze{
	width:0px;
	height:100px;
	border:1px solid #069;
	border-color:transparent transparent transparent #069;
	border-width:100px;
}

div.pizza{
  margin: auto;
  margin-top: 50px;
  width: 400px;
  height: 400px;
  background-color: red;
  border-radius: 220px;
  border: 20px solid #ffffba;
}

div.pizza .decoupe{
  width:0px;
  height:0px;
  border-style: solid;
  border-width: 220px;
  border-color: transparent transparent #f41acc transparent;
  margin-left: -20px;
  margin-top: -20px;
}

div.pizza .gruyere{
  width: 0px;
  height: 50px;
  border-top: 2px solid yellow;
  position: absolute;
  margin-top: -220px;
}

div.pizza .gruyere1{
  padding-top: 50px;
  padding-left: 100px;
  transform: rotate(45deg);
}

div.pizza .gruyere2{
  padding-top: 150px;
  padding-left: 50px;
  transform: rotate(68deg);
}

div.pizza .gruyere3{
  padding-top: 20px;
  padding-left: 300px;
  transform: rotate(126deg);
}

div.pizza .gruyere4{
  padding-top: 170px;
  padding-left: 10px;
  transform: rotate(0deg);
}

.etoile{
	background:#000;
	margin:100px auto;
	width: 0;
	height: 0;
	border-left: 50px solid transparent;
	border-right: 50px solid transparent;
	border-bottom: 100px solid #069;
	position: relative;
}
.etoile:after{
	content:'';
	border: 1px solid #069;
	border-left: 50px solid transparent;
	border-right: 50px solid transparent;
	border-top: 100px solid #069;
	width:0;
	height:0;
	position: absolute;
	top:30px;
	left:-50px;
}



.arrow_box {
    position: relative;
    background: #88b7d5;
    border: 5px solid #c2e1f5;
}
.arrow_box:after, .arrow_box:before {
    left: 100%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
}

.arrow_box:after {
    border-left-color: #88b7d5;
    border-width: 30px;
    top: 50%;
    margin-top: -30px;
}
.arrow_box:before {
    border-left-color: #c2e1f5;
    border-width: 37px;
    top: 50%;
    margin-top: -37px;
}











































/*  */
